html,
body {
	margin: 0;
	height: 100%;
}

body {
	background-color: #000;
	font-family: Monospace;
	font-size: 13px;
	line-height: 24px;
	overscroll-behavior: none;
}

#c {
	width: 100%;
	height: 100%;
	display: block;
}

button {
	cursor: pointer;
	text-transform: uppercase;
}

a,
button,
input,
select {
	pointer-events: auto;
}

/* LOADING BAR */
.progress-bar-container {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 1);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#progress-bar {
	width: 40%;
	height: 5%;
	text-align: center;
}

#progress-bar:after {
	position: absolute;
	top: 50.60%;
	right: 25%;
	font-size: 24px;
	content: attr(value)'%';
	color: white;
}

progress {
	accent-color: white;
}

label {
	color: white;
	padding-bottom: 1rem;
	font-size: 2rem;
	text-transform: uppercase;
	letter-spacing: 1rem;
}

.wave-effect span {
	display: table-cell;
	animation: wave 2s infinite;
}

@keyframes wave {
	0% {
		transform: translateY(0px)
	}

	50% {
		transform: translateY(-30px);
	}

	100% {
		transform: translateY(0px)
	}
}

.wave-effect span:nth-child(1) {
	animation-delay: 0s;
}

.wave-effect span:nth-child(2) {
	animation-delay: .1s;
}

.wave-effect span:nth-child(3) {
	animation-delay: .2s;
}

.wave-effect span:nth-child(4) {
	animation-delay: .3s;
}

.wave-effect span:nth-child(5) {
	animation-delay: .4s;
}

.wave-effect span:nth-child(6) {
	animation-delay: .5s;
}

.wave-effect span:nth-child(7) {
	animation-delay: .6s;
}

/* OVERLAY */
#overlay {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 1);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

@keyframes fadeIn {
	0% {
		opacity: 1;
	}

	100% {
		visibility: hidden;
		opacity: 0;
	}
}

#startButton {
	background-color: black;
	color: white;
	font-size: 36px;
	padding: 10px;
	border: none;
	letter-spacing: 0.5rem;
	visibility: hidden;
}

@media (max-width: 1196px) {
	#progress-bar:after {
		top: 50.80%;
		font-size: 22px;
		right: 23%;
	}
}

@media (max-width: 991px) {
	#progress-bar {
		width: 70%;
		height: 3%;
	}

	#progress-bar:after {
		display: none;
	}

	label {
		font-size: 24px;
		letter-spacing: 0.5rem;
	}

	#startButton {
		font-size: 24px;
		padding: 10px;
	}
}

@media (max-width: 991px) and (orientation: landscape) {
	#progress-bar {
		width: 70%;
		height: 3%;
	}

	#progress-bar:after {
		display: none;
	}

	label {
		font-size: 24px;
		letter-spacing: 0.5rem;
	}

	#startButton {
		font-size: 24px;
		padding: 10px;
	}
}